> ## Documentation Index
> Fetch the complete documentation index at: https://docsnewgen.flexxible.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtenir informe mensual d'un grup d'informe

> Retorna l'informe mensual de suport per al grup d'informe i el període sol·licitat, juntament amb les mètriques actuals del grup.



## OpenAPI

````yaml /ca/api-reference/openapi.ca-v2.json get /v2/organizations/{organization_id}/reporting-groups/{reporting_group_id}/monthly-report/{period}
openapi: 3.0.3
info:
  title: API Publica Portal
  version: 2.0.0
  description: API pública REST per al portal
servers:
  - url: https://api.flexxible.net
    description: Portal API (production)
security:
  - bearerAuth: []
tags:
  - name: Activitat digital
    description: Creació de grups de processos core per organització
  - name: Roles
    description: Endpoint de creacion de roles de organizacion
  - name: Usuarios
    description: Endpoint de creacion de usuarios de organizacion
  - name: Grupos de workspaces
    description: Endpoints de gestión de grupos de workspaces
  - name: Workspaces
    description: Endpoint de eliminacion de workspaces de la organizacion
  - name: Aplicaciones instaladas
    description: Endpoint de detalle de aplicación instalada de la organización
  - name: Autenticación
    description: Endpoints de autenticación y contexto de sesión
  - name: Microservicios
    description: Detalle de microservicios por organizacion
  - name: Operaciones
    description: Consulta de detalle de operaciones por organización
  - name: Organización
    description: Operaciones de organización
  - name: Objetivos de política de parches
    description: Endpoints de gestión de objetivos de política de parches
  - name: Configuraciones de producto
    description: Endpoints de gestión de configuraciones de producto
  - name: Grupos de reporte
    description: Operaciones sobre grupos de reporte
  - name: Sesiones
    description: Endpoint de detalle de sesion de la organizacion
  - name: Tenants
    description: Endpoints de gestión de tenants
paths:
  /v2/organizations/{organization_id}/reporting-groups/{reporting_group_id}/monthly-report/{period}:
    get:
      tags:
        - Grups de report
      summary: Obtenir informe mensual d'un grup d'informe
      description: >-
        Retorna l'informe mensual de suport per al grup d'informe i el període
        sol·licitat, juntament amb les mètriques actuals del grup.
      operationId: get_reportinggroup_monthly_report
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{24}$
            minLength: 24
            maxLength: 24
          description: Identificador de la organització.
          example: 507f1f77bcf86cd799439011
        - name: reporting_group_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{24}$
            minLength: 24
            maxLength: 24
          description: Identificador del grup d'informe.
          example: 507f1f77bcf86cd799439020
        - name: period
          in: path
          required: true
          schema:
            type: string
            pattern: ^\d{4}(0[1-9]|1[0-2])$
            minLength: 6
            maxLength: 6
          description: Període mensual sol·licitat en format aaaamm.
          example: '202606'
      responses:
        '200':
          description: Informe mensual obtingut correctament.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetReportingGroupMonthlyReportResponseV2'
              examples:
                ok:
                  summary: Resposta correcta
                  value:
                    reporting_group_id: 507f1f77bcf86cd799439020
                    organization_id: 507f1f77bcf86cd799439011
                    period_year: 2026
                    period_month: 6
                    applied_patches: 58
                    critical_patches: 6
                    security_patches: 17
                    other_patches: 35
                    total_used_apps: 42
                    top_apps:
                      - app_name: Google Chrome
                        usage_days: 21
                      - app_name: Microsoft Teams
                        usage_days: 19
                    automatic_remediations:
                      microservices: 4
                      flows: 11
                    current_reporting_group_name: Madrid - Finance
                    current_total_workspaces: 132
                    current_total_workspace_users: 247
                    current_workspace_antivirus_statistics:
                      workspaces_without_antivirus: 9
                      workspaces_with_antivirus:
                        total: 123
                        by_status:
                          unknown: 5
                          not_installed: 7
                          installed_stopped: 3
                          installed_working: 108
        '400':
          description: Sol·licitud invàlida.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                period_invalid:
                  summary: Període invàlid
                  value:
                    error:
                      message: El parametro period debe tener formato yyyymm.
                      code: invalid_request
                      details: Use seis digitos con mes valido entre 01 y 12.
        '401':
          description: No autoritzat per a aquesta organització.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                unauthorized:
                  summary: No autoritzat
                  value:
                    error:
                      message: No autorizado.
                      code: unauthorized
        '404':
          description: >-
            Informe mensual no trobat per al grup d'informe i el període
            indicat.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                not_found:
                  summary: No trobat
                  value:
                    error:
                      message: No se encontro el reporte mensual solicitado.
                      code: not_found
        '500':
          description: Error intern del servidor.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                internal_error:
                  summary: Error intern
                  value:
                    error:
                      message: Se produjo un error interno.
                      code: internal_error
components:
  schemas:
    GetReportingGroupMonthlyReportResponseV2:
      type: object
      description: Informe mensual de suport d'un grup d'informe.
      properties:
        reporting_group_id:
          type: string
          pattern: ^[0-9a-f]{24}$
          minLength: 24
          maxLength: 24
          description: Identificador del grup d'informe.
        organization_id:
          type: string
          pattern: ^[0-9a-f]{24}$
          minLength: 24
          maxLength: 24
          description: Identificador de la organització.
        period_year:
          type: integer
          minimum: 1
          description: Any de l'informe.
        period_month:
          type: integer
          minimum: 1
          maximum: 12
          description: Mes de l'informe.
        applied_patches:
          type: integer
          description: Nombre de pegats aplicats.
        critical_patches:
          type: integer
          description: Nombre de pegats crítics.
        security_patches:
          type: integer
          description: Nombre de pegats de seguretat.
        other_patches:
          type: integer
          description: Nombre d'altres pegats.
        total_used_apps:
          type: integer
          description: Quantitat total d'aplicacions usades en el període.
        top_apps:
          type: array
          description: Aplicacions més usades en el període.
          items:
            $ref: '#/components/schemas/ReportingGroupMonthlyTopAppV2'
        automatic_remediations:
          $ref: '#/components/schemas/ReportingGroupMonthlyAutomaticRemediationsV2'
        current_reporting_group_name:
          type: string
          description: Nom actual del grup d'informe.
        current_total_workspaces:
          type: integer
          description: Total actual d'espais de treball del grup.
        current_total_workspace_users:
          type: integer
          description: Total actual d'usuaris en espais de treball del grup.
        current_workspace_antivirus_statistics:
          $ref: >-
            #/components/schemas/ReportingGroupMonthlyCurrentWorkspaceAntivirusStatisticsV2
      required:
        - reporting_group_id
        - organization_id
        - period_year
        - period_month
        - applied_patches
        - critical_patches
        - security_patches
        - other_patches
        - total_used_apps
        - top_apps
        - automatic_remediations
        - current_reporting_group_name
        - current_total_workspaces
        - current_total_workspace_users
        - current_workspace_antivirus_statistics
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
            details:
              type: string
          required:
            - message
            - code
      required:
        - error
    ReportingGroupMonthlyTopAppV2:
      type: object
      description: Aplicació i nombre de dies d'ús durant el període.
      properties:
        app_name:
          type: string
          description: Nom de l'aplicació.
        usage_days:
          type: integer
          description: Dies d'ús de l'aplicació.
      required:
        - app_name
        - usage_days
    ReportingGroupMonthlyAutomaticRemediationsV2:
      type: object
      description: Comptador de remediacions automàtiques.
      properties:
        microservices:
          type: integer
          description: Quantitat de remediacions per microserveis.
        flows:
          type: integer
          description: Quantitat de remediacions per fluxos.
      required:
        - microservices
        - flows
    ReportingGroupMonthlyCurrentWorkspaceAntivirusStatisticsV2:
      type: object
      description: Estat actual d'antivirus en espais de treball del grup.
      properties:
        workspaces_without_antivirus:
          type: integer
          description: Quantitat d'espais de treball sense antivirus.
        workspaces_with_antivirus:
          $ref: '#/components/schemas/ReportingGroupMonthlyWorkspacesWithAntivirusV2'
      required:
        - workspaces_without_antivirus
        - workspaces_with_antivirus
    ReportingGroupMonthlyWorkspacesWithAntivirusV2:
      type: object
      description: Resum d'espais de treball amb antivirus.
      properties:
        total:
          type: integer
          description: Total d'espais de treball amb antivirus.
        by_status:
          $ref: >-
            #/components/schemas/ReportingGroupMonthlyWorkspacesWithAntivirusByStatusV2
      required:
        - total
        - by_status
    ReportingGroupMonthlyWorkspacesWithAntivirusByStatusV2:
      type: object
      description: Distribució per estat d'antivirus.
      properties:
        unknown:
          type: integer
          description: Espais de treball amb estat desconegut.
        not_installed:
          type: integer
          description: Espais de treball amb antivirus no instal·lat.
        installed_stopped:
          type: integer
          description: Espais de treball amb antivirus instal·lat i detingut.
        installed_working:
          type: integer
          description: Espais de treball amb antivirus instal·lat i en funcionament.
      required:
        - unknown
        - not_installed
        - installed_stopped
        - installed_working
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````